%define version 0.9.23
Summary: 	Playable implementation of the Settlers of Catan 
Name: 		pioneers
Version: 	%version
Release: 2mdk
Group: 		Games/Boards
License: 	GPL
Url: 		http://pio.sourceforge.net/
Source: 	http://prdownloads.sourceforge.net/pio/%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-%version-root
BuildRequires:  libgnome2-devel
BuildRequires: gtk+2-devel
BuildRequires:  scrollkeeper
BuildRequires:  ImageMagick
Provides: gnocatan
Obsoletes: gnocatan

%description 
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

%package 	server-console
Summary:	Pioneers Console Server
Group: 		Games/Boards
Requires:	pioneers-server-data
%description 	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.


%package 	server-gtk
Summary:	Pioneers GTK Server
Group: 		Games/Boards
Requires:	pioneers-server-data
%description 	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters.  Customisation is fairly limited at the moment, but this
should change in later versions.  Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package 	server-data
Summary: 	Pioneers Data
Group: 		Games/Boards

%description 	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Pioneers games.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name --with-gnome
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Amusement/Boards"\
	icon="%name.png"\
	title="Pioneers"\
	longtitle="Pioneers game client" \
	startup_notify="true"
?package(%{name}): \
	command="%{_bindir}/%{name}-editor"\
	needs="X11"\
	section="Amusement/Boards"\
	icon="%name.png"\
	title="Pioneers Editor"\
	longtitle="Pioneers map editor" \
	startup_notify="true"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-server-gtk <<EOF
?package(%{name}-server-gtk): \
	command="%{_bindir}/%{name}-server-gtk"\
	needs="X11"\
	section="Amusement/Boards"\
	icon="%name-server-gtk.png"\
	title="Pioneers Server"\
	longtitle="Pioneers GUI server" \
	startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/gnome-pioneers.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 %buildroot%_datadir/pixmaps/gnome-pioneers.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/gnome-pioneers.png %buildroot%_miconsdir/%name.png
ln %buildroot%_datadir/pixmaps/gnome-pioneers.png %buildroot%_liconsdir/%name-server-gtk.png
ln %buildroot%_iconsdir/%name.png %buildroot%_iconsdir/%name-server-gtk.png
ln %buildroot%_miconsdir/%name.png %buildroot%_miconsdir/%name-server-gtk.png

%clean
rm -rf %buildroot

%post
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi
touch %{_datadir}/gnome/help/pioneers/C/pioneers.html
%update_menus

%postun
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi
%clean_menus

%post server-gtk
%update_menus

%postun server-gtk
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/pioneers
%{_bindir}/pioneers-editor
%{_datadir}/gnome/apps/Games/pioneers.desktop
%{_datadir}/pixmaps/gnome-pioneers.png
%{_datadir}/pixmaps/pioneers/
%dir %{_datadir}/games/pioneers
%{_datadir}/games/pioneers/themes/
%{_mandir}/man6/pioneers.6*
%_datadir/omf/pioneers
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%files server-console
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/pioneers-server-console
%{_bindir}/pioneers-meta-server
%{_mandir}/man6/pioneers-server-console.6*
%{_mandir}/man6/pioneers-meta-server.6*

%files server-gtk
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/pioneers-server-gtk
%{_datadir}/gnome/apps/Games/pioneers-server.desktop
%{_mandir}/man6/pioneers-server-gtk.6*
%_iconsdir/%name-server-gtk.png
%_liconsdir/%name-server-gtk.png
%_miconsdir/%name-server-gtk.png
%_menudir/%name-server-gtk

%files server-data
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/pioneersai
%{_mandir}/man6/pioneersai.6*
%dir %{_datadir}/games/pioneers
%{_datadir}/games/pioneers/computer_names
%{_datadir}/games/pioneers/*.game

%changelog
* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.23-2mdk
- rebuild to remove glitz dep

* Mon Aug 22 2005 Götz Waschk <waschk@mandriva.org> 0.9.23-1mdk
- New release 0.9.23

* Fri Jul 15 2005 Götz Waschk <waschk@mandriva.org> 0.9.19-1mdk
- add the editor
- fix buildrequires
- new version
- renamed from gnocatan

* Sat Mar 26 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.59-1mdk
- New release 0.8.1.59

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.1.54-1mdk
- New release 0.8.1.54

* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.53-1mdk
- New release 0.5.1.53

* Fri Feb  4 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.52-1mdk
- New release 0.8.1.52

* Wed Jan 26 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.51-1mdk
- New release 0.8.1.51

* Sun Jan 23 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.50-1mdk
- New release 0.8.1.50

* Sun Jan  9 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.48-1mdk
- New release 0.8.1.48

* Sat Dec  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.45-1mdk
- New release 0.8.1.45

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.43-1mdk
- New release 0.8.1.43

* Sat Nov 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.42-1mdk
- New release 0.8.1.42

* Sun Oct 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.40-1mdk
- New release 0.8.1.40

* Sun Oct 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.39-1mdk
- New release 0.8.1.39

* Sat Oct  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.38-1mdk
- New release 0.8.1.38

* Fri Oct  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.37-1mdk
- New release 0.8.1.37

* Mon Sep 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1.36-1mdk
- New release 0.8.1.36

* Fri Jul  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.30-1mdk
- drop yelp pregeneration call
- fix source URL
- New release 0.8.1.30

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.16-2mdk
- fix directory ownership

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.16-1mdk
- new version

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0.0-1mdk
- initial package


* Sun May 19 2002 Roman Hodek <roman@hodek.net>
- 0.6.99 as beta for 0.7.0

* Sun Aug 27 2000 Steve Langasek <vorlon@dodds.net>
- 0.6.1 released

* Tue Jun 20 2000 Steve Langasek <vorlon@dodds.net>
- updated version number

* Thu Jun 01 2000 Steve Langasek <vorlon@dodds.net>
- Updated to behave more like the filesystem standard tells us to (and
  more like configure expects us to)

* Sun May 07 2000 Dave Cole <adve@dccs.com.au>
- Removed ship building development card

* Mon May 01 2000 Andy Heroff <aheroff@mediaone.net>
- SourceForge release version 0.5.0

* Fri Sep 03 1999 Dave Cole <dave@dccs.com.au>
- Modifications to build 0.4.0

* Sun May 23 1999 Preben Randhol <randhol@pvv.org>
- Building version 0.31

* Wed May 12 1999 Preben Randhol <randhol@pvv.org>
- First try at making the packages
